Subject: Re: [PATCH net 2/2] DT: phy.txt: Clarify expected compatible values

From: Florian Fainelli <[email-masked]>
Date: Tue, 26 Jan 2016 16:33:11 -0800

On 26/01/16 16:11, Andrew Lunn wrote:
> PHY devices may only list clause 22, 45, and their PHY identifier
> values as compatible values. No other compatible strings are allowed.
> Make this clear in the documentation, and remove examples where
> make/model compatible strings are listed.

Humm, should not we rather require Ethernet PHY Device Tree nodes to
have *at least* a "ethernet-phy-ieee802.3-c22" or
"ethernet-phy-ieee802.3-c45", and any other compatible string which
further specifies the hardware is also welcome?

Do you think this deserves another commit when net-next opens up again?
-- 
Florian